All tooltips disappeared when deselects any option from selected items
12/12/2016 04:02 AM - Kavita Gaikwad

Status: Closed
Priority: Normal
Assignee: Kavita Gaikwad
Category: Web Interface
Target version: 1.14.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4101
Description

All tooltips disappeared when deselects any option from selected items.
Steps to reproduce:

1. There is organization "default Organization" which is assigned to user "Bob" and one host is associated with it.

2. Create one more organization. for example - "Test Org"

3. Go to edit page of user "Bob". We can see that "default organization" is disabled with tooltip - "This is used by Host" under
Organization Tab.

Check attachment [step1-edit-user-page.png]

4. Select "Test Org" under Organization Tab

5. See tooltip is still present on "default organization™ hover. Attachment [step2-select-org-TestOrg.png]

6. De-select the "Test Org" from selected items. Attachment [step3-deselect-org-TestOrg.png]

Actual result -
All tooltips associated with disabled selected items are gone and CSS of those items are also changed.

Expected result -

All tooltips of disabled selected items should be remain as it is.

Associated revisions

Revision edfc2271 - 12/20/2016 12:33 PM - Kavita Gaikwad

fixes #17630 - show tooltips after deselecting selected item

For example,

User who must be the owner of that host, is having

an organization which is assigned to the same host

then on edit page, you will see tooltip on that organization
hover saying "This is used by host".

When you will select any other Organization and de-select it
again, on de-selection of item all existing tooltips

are disappeared.

Revision b97df7f4 - 01/30/2017 11:01 AM - Kavita Gaikwad

fixes #17630 - show tooltips after deselecting selected item

For example,

User who must be the owner of that host, is having

an organization which is assigned to the same host

then on edit page, you will see tooltip on that organization

hover saying "This is used by host".

When you will select any other Organization and de-select it

again, on de-selection of item all existing tooltips

are disappeared.

(cherry picked from commit edfc22717af19f2e6f1f4da561fe09b432121060)
History

#1 - 12/12/2016 04:03 AM - Kavita Gaikwad

- Category set to Web Interface

#2 - 12/12/2016 04:47 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4101 added

#3 - 12/20/2016 01:01 PM - Kavita Gaikwad
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset edfc22717af19f2e6f1f4da561fe09b432121060.

#4 - 12/21/2016 04:02 AM - Dominic Cleal

- translation missing: en.field_release set to 210
